package jp.a2kichi.android.itemsearch;

import java.util.List;

public class KakakuComInfo extends BaseInfo {
	private static final String API_URL_1 = "http://api.kakaku.com/Ver1/ItemSearch.asp?Keyword=";
	private static final String API_URL_2 = "&CategoryGroup=All&ResultSet=medium&SortOrder=pricerank&PageNum=1";
	public static final String ATTR_NAME = "ProductName";
	public static final String ATTR_PRICE    = "LowestPrice";
	public static final String ATTR_URL    = "ItemPageUrl";

	public String item_name;
	public String item_price;
	public String item_url;
	public String service_name = "価格com";
	
    private List<KakakuComInfo> kakakucomInfoList;
    
	public void setKakakuComInfo(String keyword) {
		
		if(keyword == null) {
			kakakucomInfoList = null;
			return;
		}

		is = Web.accessURL(API_URL_1+keyword+API_URL_2);

		XmlParserFromUrl xmlParserFromUrl = new XmlParserFromUrl();
		kakakucomInfoList = xmlParserFromUrl.getKakakuComItemListFromXML(is);

		close();
	}
	
	public List<KakakuComInfo> getKakakuComInfoList() {
		return kakakucomInfoList;
	}
}
