package jp.a2kichi.android.itemsearch;

import java.util.List;

public class YahooInfo extends BaseInfo {
	private static final String DEVELOPER_ID = "gcURFWexg64khqXj1czgvIW9fLYmH8Ii7mvSHvMjSjKlLQZ69rkALNf2GJ955g--";
	private static final String API_URL_1 = "http://shopping.yahooapis.jp/ShoppingWebService/V1/itemSearch?appid="+DEVELOPER_ID+"&query=";
	private static final String API_URL_2 = "";
	public static final String ATTR_HIT   = "Hit";
	public static final String ATTR_NAME   = "Name";
	public static final String ATTR_RATE   = "Rate";
	public static final String ATTR_PRICE  = "Price";
	public static final String ATTR_HEADLINE   = "Headline";
	public static final String ATTR_URL    = "Url";

	public String item_name;
	public String item_price;
	public String item_url;
	public String service_name = "Yahoo";
	
    private List<YahooInfo> yahooInfoList;
    
	public void setYahooInfo(String keyword) {
		
		if(keyword == null) {
			yahooInfoList = null;
			return;
		}

		is = Web.accessURL(API_URL_1+keyword+API_URL_2);

		XmlParserFromUrl xmlParserFromUrl = new XmlParserFromUrl();
		yahooInfoList = xmlParserFromUrl.getYahooItemListFromXML(is);

		close();
	}
	
	public List<YahooInfo> getYahooInfoList() {
		return yahooInfoList;
	}
}
