package jp.a2kichi.android.itemsearch;

import java.util.List;

public class RakutenInfo extends BaseInfo {
	private static final String DEVELOPER_ID = "39801ecf4765344579c431f9e649c53a";
	private static final String API_URL_1 = "http://api.rakuten.co.jp/rws/1.12/rest?developerId="+DEVELOPER_ID+"&operation=ItemSearch&version=2008-09-01&keyword=";
	private static final String API_URL_2 = "&sort=%2BitemPrice";
	public static final String ATTR_NAME = "itemName";
	public static final String ATTR_PRICE    = "itemPrice";
	public static final String ATTR_URL    = "itemUrl";

	public String item_name;
	public String item_price;
	public String item_url;
	public String service_name = "楽天";
	
    private List<RakutenInfo> rakutenInfoList;
    
	public void setRakutenInfo(String keyword) {
		
		if(keyword == null) {
			rakutenInfoList = null;
			return;
		}

		is = Web.accessURL(API_URL_1+keyword+API_URL_2);

		XmlParserFromUrl xmlParserFromUrl = new XmlParserFromUrl();
		rakutenInfoList = xmlParserFromUrl.getRakutenItemListFromXML(is);

		close();
	}
	
	public List<RakutenInfo> getRakutenInfoList() {
		return rakutenInfoList;
	}
}
